<?php

App::uses('Component', 'Controller');

/**
 * Plugin de validacao de Keys
 *
 * PHP versions 5+
 *
 * @author	 	  Fabricio S Costa
 * @link          https://fabriciojf@gmail.com 
 * @version		  1.0
 * 
 * O outro componente que seu componente utiliza
 * public $components = array('Outro');
 */
class KeyComponent extends Component {
	
	
/**
 * Pega uma nova chave
 */	
	public function generate($term, $width = 15) {		
		return substr(
				md5(date('d/m/Y H:i:s') . $term), 
				0, $width);
	}

}